/* --------------------------------------------------------------------------

	(c) 2004-2007 U.S. Robotics Corporation

	-------------------------------------------------------------------------- */

/* --------------------------------------------------------------------------

	RESOURCE FUNCTION

	This function requires the global strings array to be defined (in a
	separate file).
*/

var _strings = new Array();

function getString(id)
{
	var s = _strings[id];
/*
	OPTIONAL FUTURE TODO ENHANCEMENT

	For more complex strings, we could store a function and test the
	type of the array element ("string" vs "function"); if it's a
	function, we could call it, pass the id, and use the return as
	the resource string.
*/

	if (s == undefined)
		s = "";
/*
	{
		alert("The string id " + id + " isn't in the resource table.");
		return "<ERROR>";
	}
	if (s.length == 0)
	{
		alert("The string id " + id + " is empty.");
		return "<WARNING>";
	}
*/

	return s;
}



/* --------------------------------------------------------------------------

	PAGE HEADER AND FOOTER FUNCTIONS

*/

/*
	Set document's title.

	If the <title> element is empty or doesn't exist, it uses the passed
	string. Then it appends the product name to the title. If nothing
	(or null) is passed, it uses the product name as the title.
*/
function setPageTitle(strTitle)
{
	if (strTitle == null)
		strTitle = document.title;

	if ((document.title == null) || (document.title == ""))
		document.title = getString("idProdName");
	else
		// N.B.: This format is used by the Diogenese Device Locator to extract the product name.
		document.title = document.title + " :: " + getString("idProdName");
}

/*
	Write the page header

	The calling page should set the <title> element to the desired header
	text and page title. This function calls another that prepends the
	product name to the document title.
*/
function writeHeader(strTitle)
{
	// This lets the calling page override the <title> element.
	if (strTitle == null)
		strTitle = document.title;
	setPageTitle(strTitle);

	_writeHeader(strTitle);
}


/*
	This writes out a page's header, including the optional menu bar.
	The title parameter is optional. If passed, it's written out
	as the header text.
*/
function _writeHeader(strTitle)
{
	document.write("<div id=\"idHeader\">");
	document.write("<img id=\"idImgHeader\" src=\"usr_logo_rgb.gif\">");

	if (strTitle == null)
		document.write("&nbsp;");	// to make sure header is tall enough
	else
		document.write(strTitle);
	document.write("<\/div>");

	/*
		If this page doesn't include the menu script, don't create a menu
	*/
	if (typeof(createMenu) != "undefined")
		createMenu().write();

	document.write("<div id=\"idContent\">");
}


function writeFooter()
{
	document.write("<\/div>");
	document.write("<img id=\"idCopyright\" src=\"bg_color_cubes.gif\" width=\"16\" height=\"83\" \/>");
	document.write("<p class=\"clsCopyright\">&copy; 2004-2007 <a href=\"http://www.usr.com\">U.S. Robotics Corporation<\/a><\/p>");
}
